mp4live(1)

NAME

mp4live - record and/or transmit video and/or audio

SYNTAX

mp4live [options]

DESCRIPTION

This program is a Linux audio/video capture utility that can capture and encode audio and video in real-time. The results can be written to either an mp4 file, transmitted onto the network via either unicast or multicast, or both simultaneously! The audio is encoded with MP3 or AAC, and the video with MPEG-4 Simple Profile which is OpenDivx compatible.

The program has a Gtk based user interface which displays a preview of the encoded video and controls to adjust the settings of the functions of the program. Settings are remembered and stored in ~/.mp4live_rc.

See the program README for detailed information on hardware and software requirements, known problems, and unknowns.

OPTIONS

-file <config-file>
    Use the configuration information store in <config-file> instead of that in ~/.mp4live_rc

-automatic
    Act as if the "Start" button were pressed immediately upon program startup. Whatever is appropriate to do based on the configuration at startup will be done.

-headless
    Act as in automatic mode, and do not display any user interface.

-sdp
    Just generate the sdp file based on the configuration and exit.

FILES

~/.mp4live_rc
/dev/video
/dev/dsp

AUTHORS

David Mackie <dmackie@cisco.com>
Bill May <wmay@cisco.com>

SEE ALSO

gmp4player(1) mpeg4ip/server/mp4live/README